* {
  margin: 0;
  padding: 0;
  font-family: sans-serif;
}

html {
  scroll-behavior: smooth;
  scroll-padding-top: 15vw;
}

button {
  outline: none;
  border: none;
  pointer-events: none;
  /* cursor: pointer; */
  background-color: transparent;
  transition: scale 150ms ease-in-out;
}

button:not(.edible) {
  background-color: rgb(239, 239, 239);
  border: 1px solid black;
  border-radius: 2px;
  font-size: 0.75rem;
}

button.edible {
  width: 100%;
  height: 100%;
}

button.edible:active {
  transform: scale(0.95);
}

button.edible[disabled] {
  opacity: 1;
  cursor: not-allowed;
}

button.reset {
  position: fixed;
  bottom: 1rem;
  left: 1rem;
  padding: 0.5rem;
}

.edible-wrapper {
  position: relative;
}

.sun-wrapper {
  background-color: skyblue;
  height: min(60vw, 100vh);
  display: flex;
  align-items: end;
}

.sun {
  width: 100vw;
  height: 50vw;
  border-top-left-radius: 1000px;
  border-top-right-radius: 1000px;
  background-color: darkorange;
}

.scene {
  width: 100%;
  /* height: 500%; */
  background-color: mediumseagreen;
}

.scene {
  padding-block: 120px;
}

.scene {
  display: grid;
  grid-template-columns: repeat(10, 1fr);
  grid-auto-rows: 10vw;
}

.cat {
  display: flex;
  flex-wrap: wrap;
  grid-column-start: 5;
  grid-column: 2 / span 6;
  grid-row: auto / span 2;
  /* outline: 1px solid pink; */
}

.cat > * {
  width: 10vw;
  /* flex-basis: 10vw; */
  height: 10vw;
  /* background-color: pink; */
  border-radius: 100%;
}

.cat .segment:nth-of-type(3n-1) {
  background-color: olivedrab;
}

.cat .segment {
  background-color: limegreen;
}

.cat .segment:nth-of-type(3n-2) {
  background-color: forestgreen;
}

.cat .segment:nth-of-type(4n) {
  background-color: seagreen;
}

.cat .head {
  background-color: tomato;
}

.edible {
  position: relative;
}

.stem {
  top: -12px;
  left: 50%;
  width: 8%;
  height: 16px;
  background-color: saddlebrown;
  display: block;
  position: absolute;
  transform-origin: bottom center;
  transform: translateX(-50%) rotate(var(--rotation));

  /* &::before {
    content: "";
  } */
}

.eat-me {
  display: flex;
  text-transform: uppercase;
  position: absolute;
  bottom: calc(100% + 1.5rem);
  left: 0;
  width: 100%;
  display: flex;
  justify-content: center;
  padding: 0.2rem;
}

.whats-next {
  display: flex;
  text-transform: uppercase;
  position: absolute;
  top: calc(100% + 1.5rem);
  left: 50%;
  transform: translateX(-50%);
  display: flex;
  justify-content: center;
  padding: 0.2rem;
}

@keyframes textwave {
  0% {
    transform: translateY(0%);
  }
  25% {
    transform: translateY(-50%);
  }
  50% {
    transform: translateY(0%);
  }
  100% {
    transform: translateY(0%);
  }
}

.eat-me span {
  font-size: 1rem;
  animation-name: textwave;
  animation-duration: 2s;
  animation-timing-function: linear;
  animation-delay: var(--delay);
  animation-iteration-count: infinite;
  font-weight: 600;
  color: yellow;
  /* text-shadow: 0 0 1px black; */
  -webkit-text-stroke: 0.5px black;
  letter-spacing: 0.05em;
}

.bite-marks {
  overflow: hidden;
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  pointer-events: none;
}

.apple {
  grid-column-start: 7;
  grid-row-start: 5;
  /* border-radius: 50%; */
  background-color: crimson;
  /* &::before {
    transform: rotate(12deg);
  } */
}

.apple {
  /* .apple .bite-marks { */
  border-radius: 40% 40% 50% 50%;
}

.pear {
  grid-row: 7 / span 2;
}

.pear button.edible {
  display: grid;
  grid-template-rows: subgrid;
  position: relative;
}

.pear .eat-me {
  bottom: calc(100% - 1.5rem);
}

.pear1 {
  grid-column-start: 3;
}

.pear2 {
  grid-column-start: 4;
}

.pear *[class*="segment"] {
  background-color: yellowgreen;
  place-self: center;
  height: 100%;
  width: 100%;
  border-radius: 50%;
}

.pear .bite-marks {
  bottom: 0;
  top: unset;
  height: 75%;
}

.pear-segment1 {
  transform: scale(0.8) translateY(5vw);
  grid-row: 1;
  grid-column: 1;
}

.pear-segment2 {
  /* transform: scale(1.3) translateY(-1.2vw); */
  grid-row: 2;
  grid-column: 1;
}

.pear .stem {
  top: 18%;
  height: 2vw;
}

/* .pear1::before {
  transform: rotate(6deg);
}
.pear2::before {
  transform: rotate(-10deg);
} */

.plums {
  grid-row-start: 10;
  grid-column: 7 / span 3;
  display: flex;
  padding-left: 5vw;
}

.plum {
  border-radius: 50%;
  flex: 100%;
  height: 100%;
}

.plums > *:nth-child(1) {
  background-color: mediumorchid;
}

.plums > *:nth-child(2) {
  background-color: mediumpurple;
}

.plums > *:nth-child(3) {
  background-color: rebeccapurple;
}

.strawberries {
  display: flex;
  grid-row-start: 13;
  grid-column: 2 / span 4;
  padding-right: 5vw;
  --offset-x: -50%;
  --offset-y: -10%;
}

.strawb {
  flex: 1;
  /* border-radius: 90px 90px 100% 100%; */
}

.strawb .stem,
.strawbtop .leaf {
  background-color: forestgreen;
}

.strawb .stem {
  top: unset;
  bottom: calc(100% - 0rem);
  height: 24px;
}

.strawbody {
  display: grid;
  grid-template-rows: 2fr 5fr;
  grid-template-columns: 1fr 1fr;
  width: 100%;
  height: 100%;
}

.strawbody > * {
  background-color: crimson;
}

.strawbody > div:nth-child(1) {
  grid-column: 1/-1;
  border-radius: 90px 90px 0 0;
}

.strawbody > div:nth-child(2) {
  border-radius: 0 0 0 100%;
}

.strawbody > div:nth-child(3) {
  border-radius: 0 0 100% 0;
}

.strawbtop {
  position: absolute;
  top: 0;
  left: 0;
  right: 0;
  width: 100%;
  display: flex;
  justify-items: center;
  transform: rotate(180deg);
}

.strawbtop .leaf {
  top: 0;
  left: 50%;
  width: 1.5vw;
  height: 3.5vw;
  transform-origin: top;
}

.strawbtop .leaf:nth-child(1) {
  --offset-x: calc(-50% + 15%);
  /* --offset-y: 5%; */
  transform: translate(var(--offset-x), var(--offset-y)) rotate(80deg);
  height: 3.75vw;
  display: none;
}

.strawbtop .leaf:nth-child(2) {
  /* --offset-y: 10%; */
  --offset-x: calc(-50% + 15%);
  transform: translate(var(--offset-x), var(--offset-y)) rotate(90deg);
}

.strawbtop .leaf:nth-child(3) {
  /* --offset-y: 10%; */
  --offset-x: calc(-50% + 15%);
  transform: translate(var(--offset-x), var(--offset-y)) rotate(65deg);
}

.strawbtop .leaf:nth-child(4) {
  /* --offset-y: 10%; */
  transform: translate(var(--offset-x), var(--offset-y)) rotate(0deg);
  display: none;
}

.strawbtop .leaf:nth-child(5) {
  /* --offset-y: 10%; */
  --offset-x: calc(-50% - 15%);
  transform: translate(var(--offset-x), var(--offset-y)) rotate(-65deg);
}

.strawbtop .leaf:nth-child(6) {
  /* --offset-y: 10%; */
  --offset-x: calc(-50% - 15%);
  transform: translate(var(--offset-x), var(--offset-y)) rotate(-90deg);
}

.strawbtop .leaf:nth-child(7) {
  /* --offset-y: 5%; */
  transform: translate(var(--offset-x), var(--offset-y)) rotate(-80deg);
  height: 3.75vw;
  display: none;
}

.oranges {
  grid-row-start: 16;
  grid-column: 4 / span 5;
  display: grid;
  grid-template-columns: subgrid;
}

.orange {
  height: 100%;
  background-color: orange;
  border-radius: 100%;
}

.orange:nth-child(3n-2) {
  background-color: darkorange;
}

.leaf {
  display: flex;
  position: absolute;
  z-index: 10;
  border-radius: 50%;
}

.orange .leaf {
  transform-origin: bottom;
  background-color: limegreen;
  bottom: 5%;
  left: 50%;
  width: 2vw;
  height: 5vw;
}

.orange2 .leaf {
  transform: translateX(-30%) rotate(85deg);
}

.orange5 .leaf {
  transform: translateX(-60%) rotate(260deg);
}

/* .leaf > * {
  background-color: limegreen;
  flex: 100%;
}

.leaf .inner1 {
  border-radius: var(--leaf-radius) 0 0 var(--leaf-radius);
}

.leaf .inner2 {
  border-radius: 0 var(--leaf-radius) var(--leaf-radius) 0;
} */

.cat .to-apple {
  animation: to-apple;
}

@keyframes to-apple {
  0% {
    grid-column-start: 5;
    grid-column: 2 / span 6;
    grid-row: auto / span 2;
  }
  10% {
    grid-column-start: 5;
    grid-column: 2 / span 6;
    grid-row: auto / span 2;
  }
}

.chomp {
  /* content: ""; */
  position: absolute;
  width: var(--size);
  height: var(--size);
  /* background-color: oldlace; */
  background-color: mediumseagreen;
  border-radius: 100%;
  transform: translate(-50%, -50%);
  /* left: calc(var(--size) * -0.25);
  top: 50%; */
}
